# ThirdParty

Third Party Mappings with Yellow Dog Inventory

## Upserts Third Party Items (TPItems) in bulk

 - [POST /third-party/{syncId}/items](https://developer.yellowdogsoftware.com/rest/fetch/api/thirdparty/post-third-party-items.md): This endpoint allows for bulk upserting of TPItems.
            
### Creating a TPItems
The fields that are required to create a TPLocation are type and code

### Updating a TPItems
include the query parameter, upsert=true
            
When a validation error occurs, the entire request will fail.
            
### Additional Notes
Processing the item changes can take up to 10 minutes to process due to the amount of background processing that needs to be done.

## Upserts Third Party Locations (TPLocations) in bulk

 - [POST /third-party/{syncId}/locations](https://developer.yellowdogsoftware.com/rest/fetch/api/thirdparty/post-third-party-locations.md): This endpoint allows for bulk upserting of TPLocations.
            
### Creating a TPLocations
The fields that are required to create a TPLocation are type and code
            
### Updating a TPLocations
include the query parameter, upsert=true
            
When a validation error occurs, the entire request will fail.

